Ive been working on a forum that was upgraded by another person from 4.x to 5.0.3 I recently upgraded it to 5.0.4 a few weeks ago so I dont know if this issue was already there before the 5.0.4 upgrade....